package com.goldenwater.slgc.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slgc.domain.AttInsiBase;
import com.goldenwater.slgc.mapper.AttInsiBaseMapper;
import com.goldenwater.slgc.service.InsiService;

/** 机电排灌信息 业务实现 */
@Service
public class InsiServiceImpl implements InsiService {
    @Autowired
    private AttInsiBaseMapper attInsiBaseMapper;

    @Override
    public List<AttInsiBase> selectAttInsiBaseList(AttInsiBase attInsiBase) {
        return attInsiBaseMapper.selectAttInsiBaseList(attInsiBase);
    }

    @Override
    public AttInsiBase selectAttInsiBaseById(String insiCode) {
        return attInsiBaseMapper.selectAttInsiBaseById(insiCode);
    }

    @Override
    public int deleteAttInsiBaseByIds(String[] insiCodes) {
        return attInsiBaseMapper.deleteAttInsiBaseByIds(insiCodes);
    }

    @Override
    public int insertAttInsiBase(AttInsiBase attInsiBase) {
        return attInsiBaseMapper.insertAttInsiBase(attInsiBase);
    }

    @Override
    public int updateAttInsiBase(AttInsiBase attInsiBase) {
        return attInsiBaseMapper.updateAttInsiBase(attInsiBase);
    }
}
